Skip to content
Letta Platform Letta Platform Letta Docs
Sign up

Retrieve Conversation Stream

post/v1/conversations/{conversation_id}/stream

Resume the stream for the most recent active run in a conversation.

This endpoint allows you to reconnect to an active background stream for a conversation, enabling recovery from network interruptions.

Agent-direct mode: Pass conversation_id="default" with agent_id in request body to retrieve the stream for the agent's most recent active run.

Deprecated: Passing an agent ID as conversation_id still works but will be removed.

Path ParametersExpand Collapse
conversation_id: string

The conversation identifier. Can be a conversation ID ('conv-'), 'default' for agent-direct mode (with agent_id parameter), or an agent ID ('agent-') for backwards compatibility (deprecated).

minLength1
maxLength42
Body ParametersExpand Collapse
agent_id: optional string

Agent ID for agent-direct mode with 'default' conversation. Use with conversation_id='default' in the URL path.

batch_size: optional number

Number of entries to read per batch.

include_pings: optional boolean

Whether to include periodic keepalive ping messages in the stream to prevent connection timeouts.

poll_interval: optional number

Seconds to wait between polls when no new data.

starting_after: optional number

Sequence id to use as a cursor for pagination. Response will start streaming after this chunk sequence id

Retrieve Conversation Stream
curl https://api.letta.com/v1/conversations/$CONVERSATION_ID/stream \
    -X POST \
    -H "Authorization: Bearer $LETTA_API_KEY"
{}
Returns Examples
{}